class DiscussionModel {
  int totalItemsCount;
  int statusCode;
  String message;
  List<DiscussionModelData> data;

  DiscussionModel({this.totalItemsCount, this.statusCode, this.message, this.data});

  DiscussionModel.fromJson(Map<String, dynamic> json) {
    totalItemsCount = json['totalItemsCount'];
    statusCode = json['statusCode'];
    message = json['message'];
    if (json['data'] != null) {
      data = [];
      json['data'].forEach((v) {
        data.add(new DiscussionModelData.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['totalItemsCount'] = this.totalItemsCount;
    data['statusCode'] = this.statusCode;
    data['message'] = this.message;
    if (this.data != null) {
      data['data'] = this.data.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class DiscussionModelData {
  String discussionId;
  String discussionText;
  String ayaTangheemTypeId;
  int statusId;
  String status;
  bool isResponse;
  String responseId;
  String userName;
  String ayaText;
  String highlightText;
  String adminResponse;
  String adminDiscussionId;
  String date;

  DiscussionModelData(
      {this.discussionId,
      this.discussionText,
      this.ayaTangheemTypeId,
      this.statusId,
      this.status,
      this.isResponse,
      this.responseId,
      this.userName,
      this.ayaText,
      this.highlightText,
      this.adminResponse,
      this.adminDiscussionId,
      this.date});

  DiscussionModelData.fromJson(Map<String, dynamic> json) {
    discussionId = json['discussionId'];
    discussionText = json['discussionText'];
    ayaTangheemTypeId = json['ayaTangheemTypeId'];
    statusId = json['statusId'];
    status = json['status'];
    isResponse = json['isResponse'];
    responseId = json['responseId'];
    userName = json['userName'];
    ayaText = json['ayaText'];
    highlightText = json['highlightText'];
    adminResponse = json['adminResponse'];
    adminDiscussionId = json['adminDiscussionId'];
    date = json['date'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['discussionId'] = this.discussionId;
    data['discussionText'] = this.discussionText;
    data['ayaTangheemTypeId'] = this.ayaTangheemTypeId;
    data['statusId'] = this.statusId;
    data['status'] = this.status;
    data['isResponse'] = this.isResponse;
    data['responseId'] = this.responseId;
    data['userName'] = this.userName;
    data['ayaText'] = this.ayaText;
    data['highlightText'] = this.highlightText;
    data['adminResponse'] = this.adminResponse;
    data['adminDiscussionId'] = this.adminDiscussionId;
    data['date'] = this.date;
    return data;
  }
}
